Bug 158266 - rpm verify with --nomd5 gives bogus size errors on prelinked files
rpm verify with --nomd5 gives bogus size errors on prelinked files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Mike McLean
bzcl34nup
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2005-05-19 23:06 EDT by Joe Krahn
Modified: 2009-07-14 13:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:14:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Krahn 2005-05-19 23:06:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
rpm verify only handles prelink-undo correctly with MD5SUMs. If you use the --nomd5 flag, it does not run the prelink-undo command. Instead, it incorrectly reports a bad file size on all prelinked files.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm --verify --nomd5sum rpm

  

Actual Results:  # rpm --verify --nomd5  rpm
S.......    /bin/rpm
S.......    /usr/bin/rpm2cpio
S.......    /usr/lib/rpm/rpmd
S.......    /usr/lib/rpm/rpmdb_deadlock
S.......    /usr/lib/rpm/rpmdb_dump
S.......    /usr/lib/rpm/rpmdb_load
S.......    /usr/lib/rpm/rpmdb_stat
S.......    /usr/lib/rpm/rpmdb_svc
S.......    /usr/lib/rpm/rpmdb_verify
S.......    /usr/lib/rpm/rpmfile
S.......    /usr/lib/rpm/rpmi
S.......    /usr/lib/rpm/rpmk
S.......    /usr/lib/rpm/rpmq


Expected Results:  expected no errors.

Additional info:

It can be very useful to use --nomd5 to do a quick check of all rpm files.
Comment 1 Paul Nasrat 2005-05-20 06:21:24 EDT
Yeah this is a documented issue

/* XXX If --nomd5, then prelinked library sizes are not corrected. */

Adding to FC5 target.
Comment 2 Jeff Johnson 2006-02-01 15:34:09 EST
The current prelink helper needs to be insturmented as a separate type of
verify helper that does not check any st_foo fields (because stat(2) tags in rpm
metadata already have well defined pre-existing semantics).

In addition, prelink, not rpm, should verify prelinked file digests. The current
implementation is wrong, and will not survive any serious security audit.
Comment 3 Red Hat Bugzilla 2007-08-21 01:20:03 EDT
User pnasrat@redhat.com's account has been closed
Comment 4 Panu Matilainen 2007-08-22 02:30:58 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 5 Bug Zapper 2008-04-03 12:10:26 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Jeff Johnson 2008-04-03 12:15:33 EDT
Reproduced on F9beta.
Comment 7 Bug Zapper 2008-05-13 21:59:36 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Dennis van Dok 2008-05-16 10:24:03 EDT
Related, but perhaps not the same: rpmbuild choked on a certain library:
prelink:
/home/dennisvd/rpmbuild/tmp/fsl_4.0-4.0.4-2vle3.rhel4-root/opt/vl-e/fsl_4.0/lib/libqt-mt.so.3.3.3:
at least one of file's dependencies has changed since prelinking

The file ended up in the RPM without an MD5 sum, so it refused to install.

Replacing the undo macro by setting
%define __prelink_undo_cmd     /bin/cat prelink library

in the spec file solved this problem.
Comment 9 Bug Zapper 2009-06-09 18:01:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:14:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.